# Generated by go2rpm
%bcond_without check

# https://github.com/google/pprof
%global goipath         github.com/google/pprof
%global commit          c50bf4fe530358fa651598413f786f4367e26268

%gometa

%global common_description %{expand:
Pprof is a tool for visualization and analysis of profiling data.

Pprof reads a collection of profiling samples in profile.proto format and
generates reports to visualize and help analyze the data. It can generate both
text and graphical reports (through the use of the dot visualization package).}

%global golicenses      LICENSE LICENSE-*
%global godocs          doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        Tool for visualization and analysis of profiling data
Group:          Development/Other
# Upstream license specification: BSD-3-Clause and Apache-2.0
# ASL 2.0: main package third_party/d3flamegraph
# BSD: third_party/d3 third_party/svgpan
License:        BSD and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/chzyer/readline)
BuildRequires:  golang(github.com/ianlancetaylor/demangle)

%description
%{common_description}

%gopkg

%prep
%goprep
mv third_party/d3/LICENSE LICENSE-d3
mv third_party/d3flamegraph/LICENSE LICENSE-d3flamegraph
mv third_party/svgpan/LICENSE LICENSE-svgpan

%build
%gobuild -o %{gobuilddir}/bin/pprof %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d internal/binutils -d internal/report
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles


%changelog
* Wed Mar 16 2022 umeabot <umeabot> 0-2.mga9
+ Revision: 1794236
- Mageia 9 Mass Rebuild

* Sat Nov 20 2021 guillomovitch <guillomovitch> 0-1.mga9
+ Revision: 1758073
- new git snapshot

* Mon Nov 02 2020 pterjan <pterjan> 0-0.4.mga8
+ Revision: 1641733
- Sync with Fedora

* Tue Nov 20 2018 pterjan <pterjan> 0-0.3.20181119git2b5d435.20181119git2b5d435.mga7
+ Revision: 1332077
- imported package golang-github-google-pprof


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.git2b5d435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2.20180628git2b5d435
- Bump to commit 2b5d4350d687b058368c98ab141d34d08162ec7b

* Wed Mar 21 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180416git6167805
- First package for Fedora

